View Issue Details

IDProjectCategoryView StatusLast Update
0022509mantisbtmentionspublic2018-03-04 00:36
ReporterKundaAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.0 
Target Version2.12.0Fixed in Version2.12.0 
Summary0022509: users with dashes in their name will not work when @mentioned (example @r-frank)
Description

Downstream example: https://www.freecadweb.org/tracker/view.php?id=2944#c8599

TagsNo tags attached.

Relationships

has duplicate 0022707 closedatrol mentions not working is username hash dash "-" in it 

Activities

elen-ayanyan

elen-ayanyan

2018-02-06 06:11

reporter   ~0058766

Hey, I fixed the problem. Here is the link to my pull request on Github.
https://github.com/mantisbt/mantisbt/pull/1284

elen-ayanyan

elen-ayanyan

2018-02-08 11:37

reporter   ~0058799

https://github.com/mantisbt/mantisbt/pull/1287

aavagyan

aavagyan

2018-02-16 04:21

reporter   ~0058899

As fix is already available (https://github.com/mantisbt/mantisbt/pull/1287), can target version be 2.12.0?

Related Changesets

MantisBT: master 1217a06f

2018-02-19 04:52:16

elen-ayanyan


Committer: dregad Details Diff
Fix @mentions for users with a dash in their name

The regex matching the username was changed as follows:
Include any word char, dash or period, must end with word char.

Fixes 0022509 (https://github.com/mantisbt/mantisbt/pull/1287)
Affected Issues
0022509
mod - core/mention_api.php Diff File

Issue History

Date Modified Username Field Change
2017-03-10 11:29 Kunda New Issue
2017-03-10 11:47 atrol Status new => confirmed
2017-03-10 11:47 atrol Category ui => mentions
2017-04-11 07:31 atrol Relationship added has duplicate 0022707
2018-02-06 06:11 elen-ayanyan Note Added: 0058766
2018-02-08 11:37 elen-ayanyan Note Added: 0058799
2018-02-16 04:21 aavagyan Note Added: 0058899
2018-02-19 04:52 dregad Changeset attached => MantisBT master 1217a06f
2018-02-19 04:52 dregad Assigned To => dregad
2018-02-19 04:52 dregad Status confirmed => resolved
2018-02-19 04:52 dregad Resolution open => fixed
2018-02-19 04:52 dregad Fixed in Version => 2.12.0
2018-02-19 04:53 dregad Assigned To dregad => community
2018-02-19 04:53 dregad Target Version => 2.12.0
2018-03-04 00:36 vboctor Status resolved => closed